Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.struts.portlet
Class WpActionServlet

    java.lang.Object
      ActionServlet
          com.ibm.portal.struts.portlet.WpActionServlet

All Implemented Interfaces:
  PortletInfoSupplier

    public class WpActionServlet

extends ActionServlet
implements PortletInfoSupplier

The `WpActionServlet` extends the Struts ActionServlet. The WpActionServlet is not an extension point for modifying the Struts application. The Request Processor and StrutsPortlet should be the extension points. The WpActionServlet is the ActionServlet object that is returned from the getServlet call in a Struts Action. The WpActionServlet can be used to obtain the portlet config and the portlet context objects.

Since:
  5.1

Field Summary
`static java.lang.String` | `INCLUDE_SERVLET_PATH` The request attribute under which the servlet path information is stored for processing during a RequestDispatcher.include() call.

Constructor Summary
`WpActionServlet(ServletContext servletContext, ServletConfig servletConfig, PortletConfig portletConfig, StrutsInfo strutsInfo)` The WpActionServlet Constructor

Method Summary
`PortletConfig` | `getPortletConfig()` Get the Portlet configuration object.
`PortletContext` | `getPortletContext()` Get the Portlet context
`ServletConfig` | `getServletConfig()` Get the servlet config object
`ServletContext` | `getServletContext()` Get the servlet context object
`java.lang.String` | `getServletName()` Get the servlet name
`StrutsInfo` | `getStrutsInfo()` Get the Struts/Servlet information object
`java.lang.String` | `getStrutsRoot()` Get the Struts/Servlet Context Root
`void` | `init()` This init method just calls the super `ActionServlet` init method.
`void` | `setStrutsRoot(java.lang.String strutsRoot)` Set the Struts/Servlet Context Root

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INCLUDE_SERVLET_PATH

    public static final java.lang.String INCLUDE_SERVLET_PATH

  The request attribute under which the servlet path information is stored for processing during a RequestDispatcher.include() call.

  See Also:
    Constant Field Values

Constructor Detail

### WpActionServlet

    public WpActionServlet(ServletContext servletContext,
                           ServletConfig servletConfig,
                           PortletConfig portletConfig,
                           StrutsInfo strutsInfo)

  The WpActionServlet Constructor

  Parameters:
    `servletContext` - the servlet context object
    `servletConfig` - the servlet config object
    `portletConfig` - the portlet config object
    `strutsInfo` - the wps struts info object

Method Detail

### getServletName

    public java.lang.String getServletName()

  Get the servlet name

  Returns:
    returns the name of the servlet

### getServletConfig

    public ServletConfig getServletConfig()

  Get the servlet config object

  Returns:
    returns the servlet config object

### getPortletConfig

    public PortletConfig getPortletConfig()

  Get the Portlet configuration object.

  Specified by:
    `getPortletConfig` in interface `PortletInfoSupplier`
  Returns:
    returns the portlet config object

### getServletContext

    public ServletContext getServletContext()

  Get the servlet context object

  Returns:
    returns the servlet context object

### getPortletContext

    public PortletContext getPortletContext()

  Get the Portlet context

  Specified by:
    `getPortletContext` in interface `PortletInfoSupplier`
  Returns:
    returns the portlet context object

### getStrutsInfo

    public StrutsInfo getStrutsInfo()

  Get the Struts/Servlet information object

  Returns:
    returns the Struts Info object

### getStrutsRoot

    public java.lang.String getStrutsRoot()

  Get the Struts/Servlet Context Root

  Returns:
    returns the struts context root

### setStrutsRoot

    public void setStrutsRoot(java.lang.String strutsRoot)

  Set the Struts/Servlet Context Root

  Parameters:
    `strutsRoot` - the struts context root

### init

    public void init()
              throws ServletException

  This init method just calls the super `ActionServlet` init method. The `ActionServlet` actually digests the Struts configuration.

  Throws:
    `ServletException` - if there is a problem digesting the configuration

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD